/*************************************************************************/
/* Nom : fichier dialogue.h                                              */
/*                                                                       */
/* Role : Declaration des variables utilisees dans dialogue.c            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 06/04/1997 | Creation du fichier                                */
/*     |            |                                                    */
/*     |            |                                                    */
/*     |            |                                                    */
/*************************************************************************/

#define NOMBRE_TYPE	 6   /* nombre de ligne pour le type de jeu */
#define MAX_CHAINE_TYPE 34   /* taille max chaine de caractere */
#define TAILLE_BOUTON    5   /* taille des boutons choix */

#define POSITION_X     151   /* position du premier libelle de choix */
#define POSITION_Y     182

#define BOUTON_X       (MAX_CHAINE_TYPE*8 + POSITION_X)  /* coordonnees x du premier bouton */
#define ECART           45   /* ecart en abcisse entre les boutons choix */



/* structure des coordonnees */

struct strZoneTypeJeu
{
	int x ;
	int y ;
} ;


/* coordonnees des differents boutons choix */

struct strZoneTypeJeu coordonneesBouton[NOMBRE_TYPE-1][2] = {

	{ {BOUTON_X, POSITION_Y+ 4}, {BOUTON_X+ECART, POSITION_Y+ 4} },
	{ {BOUTON_X, POSITION_Y+34}, {BOUTON_X+ECART, POSITION_Y+34} },
	{ {BOUTON_X, POSITION_Y+49}, {BOUTON_X+ECART, POSITION_Y+49} },
	{ {BOUTON_X, POSITION_Y+64}, {BOUTON_X+ECART, POSITION_Y+64} },
	{ {BOUTON_X, POSITION_Y+79}, {BOUTON_X+ECART, POSITION_Y+79} }

};


/* coordonnees des differents libelles principaux */

struct strZoneTypeJeu coordonneesLibelles[NOMBRE_TYPE] = {

	{ POSITION_X, POSITION_Y    } ,
	{ POSITION_X, POSITION_Y+15 } ,
	{ POSITION_X, POSITION_Y+30 } ,
	{ POSITION_X, POSITION_Y+45 } ,
	{ POSITION_X, POSITION_Y+60 } ,
	{ POSITION_X, POSITION_Y+75 }
};


/* coordonnees du bouton choix pour la reprise d'une partie sauvegardee */

struct strZoneTypeJeu coordonneesReprise = {

	BOUTON_X, POSITION_Y+109
};


/* libelles principaux du dialogue type de jeu */

char libellesTypeJeu [NOMBRE_TYPE][MAX_CHAINE_TYPE] = {

	"Humain..........................",
	"Ordinateur",
	"  Dbutant......................",
	"  Intermdiaire.................",
	"  Confirm......................",
	"  Expert........................",
};

/* libelle pour le choix reprise */

char libellesReprise [] = "Reprise d'une partie sauvegarde";


/* Etat des boutons choix */

char boutonChoisie [NOMBRE_TYPE-1][2] = {

	{ TRUE , TRUE  },
	{ FALSE, FALSE },
	{ FALSE, FALSE },
	{ FALSE, FALSE },
	{ FALSE, FALSE }
};


/* Etat du choix courant : par defaut Humain contre Humain */

char choixCourant [2] = { 0, 0 };


/*************************************/
/* Dialogue choix de la couleur      */
/*************************************/

/* coordonnees des boutons choix pour la couleur */

struct strZoneTypeJeu coordonneesCouleur[NOMBRE_COULEUR+1] = {

	{   0,   0 } ,
	{ 340, 225 } , /* couleur NOIR */
	{ 340, 238 }   /* couleur BLANC */
};
