/*************************************************************************/
/* Nom : fichier keyboard.h                                              */
/*                                                                       */
/* Role : Definition des touches du clavier                              */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 15/12/1996 | Reprise a partir d'un fichier existant.            */
/*     |            |                                                    */
/*************************************************************************/



#include <dos.h>
#include <bios.h>

#define getkb()        (bioskey(0))      /* Renvoi de la touche frappee */
#define iskey()        (bioskey(1)!= 0)  /* Indicateur d'un appui clavier */
#define GetKbEtat()    (bioskey(2))      /* Statut des touches SHIFT */

#define SCRL  		 16 /* Bit Scroll-Lock */
#define NUML  		 32 /* Bit Num-Lock */
#define CAPL  		 64 /* Bit Caps-Lock */
#define INS  		128 /* Bit Insert */

#define BEL     	  7 /* Code du signal sonore */
#define BS      	  8 /* Code de la touche Backspace */
#define TAB     	  9 /* Code de la touche de tabulation */
#define LF      	 10 /* Code de la touche LineFeed */
#define RETURN      	 13 /* Code de la touche Entre */
#define ESC     	 27 /* Code de la touche d'chappement */

#define F1      	315 /* Touches de fonction */
#define F2      	316
#define F3      	317
#define F4      	318
#define F5      	319
#define F6      	320
#define F7      	321
#define F8      	322
#define F9      	323
#define F10     	324

#define FLECHE_HAUT     328 /* Touches de direction */
#define FLECHE_GAUCHE   331
#define FLECHE_DROITE   333
#define FLECHE_BAS      336


