/* type.h - type declarations */

/* Copyright 1997-2001 Otho team. */

/*
modification history
--------------------
15a,21oct01,pdb  based on Otho version 1.4b.
*/

#ifndef __INCtypeh
#define __INCtypeh

#include <time.h>

/**************/
/* Constantes */
/**************/

#define MAX_BUFFER    		80

/* constante concernant les chiffres graphiques */

#define TAILLE_CHIFFRE_X	20
#define TAILLE_CHIFFRE_Y    28
#define TAILLE_CHIFFRE		((TAILLE_CHIFFRE_X * TAILLE_CHIFFRE_Y) + 4)
#define NOMBRE_CHIFFRE		10

/* constante concernant le menu general */

#define NOMBRE_CHOIX 		8

#define TAILLE_MENU			((105*25)+4)

/* constante concernant les pions */

// #define DIAMETRE_PION	42
#define DIAMETRE_PION		39
#define TAILLE_PION			((DIAMETRE_PION * DIAMETRE_PION) + 4)

/* boutons de la souris */

#define BOUTON_GAUCHE		1
#define BOUTON_DROITE		2

/* Etat d'une case du jeu */

#define VIDE                0
#define NOIR                1
#define BLANC               2
#define NOIR_BLANC		 	3
#define BLANC_NOIR		 	4
#define NOIR_OVALE		 	5
#define BLANC_OVALE 		6

#define NB_TYPE_CASE		7

#define BORDURE             -1
#define NOMBRE_COULEUR		2


#define ORDINATEUR		 	0
/* Definition booleen */

#define TRUE			 	1
#define FALSE               0

#define OK			 		1
#define NOK			 		0
#define ANNULER             0

/* Definition du nombre de coups possibles */

#define NOMBRE_COUPS		60
#define MAX_NOTE            9000
#define COEFF_MOBILITE		30

/* Profondeur des algorithme de recherche */

#define PROFONDEUR_INTERMEDIAIRE	3
#define PROFONDEUR_CONFIRME			4
#define PROFONDEUR_EXPERT			5

/* Limite a partir la profondeur est egale au nombre de coup restant */

#define LIMITE_INTERMEDIAIRE	55
#define LIMITE_CONFIRME			52
#define LIMITE_EXPERT			49

/* Type de jeu */

#define INITIATION 				1
#define NORMAL					2


/*************************/
/* Definitions des types */
/*************************/

/* structure coordonnees */

typedef struct
{
	int x1;
	int y1;
	int x2;
	int y2;
} typeStructureCoordonnees;


/* structure caracteristique carte video */

typedef struct
{
	int typeCarte;       /* type de la carte video */
	int memoireCarte;    /* memoire de la carte video */
	int modeVideoDepart; /* mode video de depart */
} typeStructureCarteVideo;


/* enumeration des modes video */

typedef enum
{
	RES1024 = 0,
	RES800,
	RES640,
	RES320
} typeResolution;

/* enumeration des ecran de l'application */

typedef enum
{
	ECRAN_MENU_GENERAL = 0,
	ECRAN_JEU
} typeEcran;

/* structure des coups possibles pour le damier */

typedef struct
{
	char x;
	char y;
} typeStructureCoups;


/* structure des statistiques lors du jeu */

typedef struct
{
	char score;
	char mobilite;
	int  evaluation;
	long nombreFeuilles;
	char profondeur;
	typeStructureCoups coups;

} typeStructureStatistique;

/* structure memorisant les differents coup d'un jeu */
/* permettant ainsi de revenir en arriere            */

typedef struct
{
	char 			 damier[10][10]; /* damier */
	char 			 couleur;        /* couleur du joueur */
	typeStructureStatistique statistique;

} typeStructureJeu;

/* structure permettant de gerer une saisie */

typedef struct
{
	char chaine[15];  /* la chaine saisie */
	char indiceCrt;   /* indice Crt dans la chaine */
	char indiceMax;   /* nombre de caracteres max  */

} typeStructureSaisie;

/* structure des High scores du jeu */

typedef struct
{
	char nomJoueur[15];  /* nom du joueur */
	char scoreNoir;      /* score final pour les noirs */
	char scoreBlanc;     /* score final pour les blancs */
	char jourJeu;        /* date du jeu */
	char moisJeu;
	int  anneeJeu;
	time_t temps;	     /* temps de jeu */

} typeStructureHighScore;

/* structure des ouvertures */

typedef struct
{
	char               nomOuverture[60];  /* nom de l'ouverture */
	typeStructureCoups coups[60];         /* les coups de l'ouverture */

} typeStructureOuverture;

#endif /* __INCtypeh */
