/*************************************************************************/
/* Nom : initiation                                                      */
/*                                                                       */
/* Role : Fonction permettant d'apprendre  jouer                        */
/*                                                                       */
/*                                                                       */
/* Entree : -                                                            */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 20/04/1997 | Creation de la fonction.                           */
/*     |            |                                                    */
/*************************************************************************/

#include <dos.h>
#include <conio.h>
#include <string.h>

#include "include\svgacc.h"

#include "include\prototyp.h"
#include "include\global.h"
#include "include\couleur.h"

void initiation ( void )
{
	int  couleur;            /* couleur choisie par la personne */


	/* initialisation des couleurs */
	couleur = dialogue_choix_couleur();
	G_joueurCourant = NOIR;
	G_ordinateur = -couleur + 3;

	G_choixTypeJeu[G_ordinateur-1] = 0; /* type de jeu INITIATION */

	/* initialisation du jeu */
	initialise_jeu();

	/* appel du jeu a deux joueurs */
	jeu_2joueurs(NOK);

}

/*************************************************************************/
/* Nom : affiche_coup                                                    */
/*                                                                       */
/* Role : Fonction permettant d'afficher les coups possibles pour        */
/*        le joueur                                                      */
/*                                                                       */
/* Entree : joueur : joueur pour lequel on affiche les coups             */
/*          etat   : TRUE -> coups visible, FALSE -> coups non-visible   */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 20/04/1997 | Creation de la fonction.                           */
/*     |            |                                                    */
/*************************************************************************/

void affiche_coup ( int joueur, char etat )
{
	int i;
	int pionX, pionY;
	int nombreCoups;   /* nombre de coups possibles */

	typeStructureCoups liste[NOMBRE_COUPS]; /* les coups possibles */

	memset(liste, 0, sizeof(liste));

	/* on determine le nombre de coups possible pour le joueur */
	nombreCoups = coup_possibles(G_board, liste, joueur);


	for (i=0; i < nombreCoups; i++)
	{
		pionX = (liste[i].x-1) * 43+149+21;
		pionY = (liste[i].y-1) * 43+ 76+21;

		if (etat == TRUE )
			if (joueur == NOIR)
				drwfillcircle(1, COULEUR_NOIR, pionX, pionY, 2);
			else
				drwfillcircle(1, COULEUR_BLANC, pionX, pionY, 2);
		else
			drwfillcircle(1, DAMIER, pionX, pionY, 2);

	}

}
