/*************************************************************************/
/* Nom : materiel                                                        */
/*                                                                       */
/* Role : Fonction permettant de verifier si l'on possede le materiel    */
/*        requis                                                         */
/*                                                                       */
/* Entree : -                                                            */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 16/12/1996 | Reprise a partir d'un fichier existant.            */
/*     |            |                                                    */
/* PDB | 20/12/1996 | Memorisation des caracteristique de la carte video */
/*     |            | dans une variable globale                          */
/*     |            |                                                    */
/* PDB | 13/01/1997 | Ajout de la gestion des erreurs                    */
/*     |            |                                                    */
/*     |            |                                                    */
/*************************************************************************/

#include <conio.h>
#include <stdio.h>
#include <dos.h>

#include "include\svgacc.h"

#include "include\prototyp.h"
#include "include\global.h"


void materiel ( void )
{
	int  typeSouris          ; /* Determination du type de la souris */
	int  versionMajeurSouris ; /* Numero de version majeur de la souris */
	int  versionMineurSouris ; /* Numero de version mineur de la souris */
	int  interruptionSouris  ; /* Interruption utilisee par la souris */
	int  boutonSouris        ; /* Nombre de boutons de la souris */
	int  cpu                 ; /* Determination du type de processeur */
	char buffer[MAX_BUFFER]  ; /* Buffer pour la construction de chaine */


	/* Memorisation du mode video de depart */

	G_strCarteVideo.modeVideoDepart = videomodeget();

	/****************************************/
	/* Partie concernant la carte graphique */
	/****************************************/

	printf("[materiel] Test carte graphique...");

	if (!(G_strCarteVideo.typeCarte = whichvga()))
		erreur_application("materiel", "il faut une carte VGA minimum !", 100);


	/* Determination du type de carte graphique */

	switch(G_strCarteVideo.typeCarte)
	{
		case ACUMOS:
			sprintf(buffer,"Acumos AVGA2/3 SuperVGA");
			break;
		case ATI:
			sprintf(buffer,"ATI Technologies 18/28/38/68800 SuperVGA");
			break;
		case AHEADA:
			sprintf(buffer,"Ahead V5000 Ver A SuperVGA");
			break;
		case AHEADB:
			sprintf(buffer,"Ahead V5000 Ver B SuperVGA");
			break;
		case CHIPSTECH:
			sprintf(buffer,"Chips and Technologies 82C450/1/2/3/5/6/7 SuperVGA");
			break;
		case CIRRUS:
			sprintf(buffer,"Cirrus Logic CL-GD 5xx,6xx,28xx,54xx,62xx	SuperVGA");
			break;
		case EVEREX:
			sprintf(buffer,"Everex EV236/6xx Micro Enhancer SuperVGA");
			break;
		case GENOA:
			sprintf(buffer,"Genoa 61/62/63/64/6600 SuperVGA");
			break;
		case NCR:
			sprintf(buffer,"NCR 77C21/22/22E/22E+ SuperVGA");
			break;
		case OAKTECH:
			sprintf(buffer,"Oak Technologies OTI-037/67/77/87C SuperVGA");
			break;
		case PARADISE:
			sprintf(buffer,"Paradise/Western Digital PVGA1A,WD90C00/1x/2x/3x SuperVGA");
			break;
		case REALTEK:
			sprintf(buffer,"Realtek RT3106 SuperVGA");
			break;
		case TRIDENT:
			sprintf(buffer,"Trident 8800CS,8900B/C/CL/CX,90x0 SuperVGA");
			break;
		case TSENG3:
			sprintf(buffer,"Tseng Labs ET3000-AX/BX/BP SuperVGA");
			break;
		case TSENG4:
			sprintf(buffer,"Tseng Labs ET4000/W32/W32I SuperVGA");
			break;
		case VESA:
			sprintf(buffer,"VESA compatible SuperVGA");
			break;
		case VIDEO7:
			sprintf(buffer,"Video 7 HT-208/16 SuperVGA");
			break;
		case AVANCE:
			sprintf(buffer,"Avance Logic AL2101 SuperVGA");
			break;
		case MXIC:
			sprintf(buffer,"MXIC MX68000/10 SuperVGA");
			break;
		case PRIMUS:
			sprintf(buffer,"Primus P2000 SuperVGA");
			break;
	}

	printf("[materiel] Carte graphique dtecte : %s.\n",buffer);

	/* Determination de la quantite de memoire video */

	printf("[materiel] Test mmoire vido...");


	if ((G_strCarteVideo.memoireCarte = whichmem()) < 512)
		erreur_application("materiel", "il faut 512K de memoire video minimum !", 101);

	printf("%dK dtects\n",G_strCarteVideo.memoireCarte);


	/*******************************/
	/* Determination du processeur */
	/*******************************/

	printf("[materiel] Test du processeur...");

	cpu = whichcpu();

	if (cpu < 386)
		erreur_application("materiel", "Ce jeu necessite un 386 au minimum !", 102);

	printf("OK\n");


	/*********************************************/
	/* Determination de la presence de la souris */
	/*********************************************/

	printf("[materiel] Test de la souris...");

	if (!(boutonSouris = whichmouse())) /* Si souris, on determine le nombre de boutons */
		erreur_application("materiel", "Ce jeu necessite une souris !", 103);

	/* Recuperation des informations de la souris */

	mouseinfo(&versionMajeurSouris, &versionMineurSouris, &typeSouris, &interruptionSouris);

	switch (typeSouris)
	{
		case 1:
			sprintf(buffer,"bus");
			break;
		case 2:
			sprintf(buffer,"serial");
			break;
		case 3:
			sprintf(buffer,"Inport");
			break;
		case 4:
			sprintf(buffer,"PS/2");
			break;
		case 5:
			sprintf(buffer,"HP");
			break;
		default:
			sprintf(buffer,"inconnu");
			break;
	}

	/* resume des informatios concernnt la souris */

	printf("\n[materiel] Souris compatible Microsoft de type %s dtecte.\n",buffer);
	printf("[materiel] Nombre de boutons : %d.\n", boutonSouris);
	printf("[materiel] IRQ : %d.\n", interruptionSouris);
	printf("[materiel] Version du driver logiciel: %d.%d (Version quivalente Microsoft).\n", versionMajeurSouris, versionMineurSouris);
}