/* otho.c - entry point of the game */

/* Copyright 1997-2001 Otho team. */

/*
modification history
--------------------
15a,21oct01,pdb  based on Otho version 1.4b.
*/

/*
DESCRIPTION
Otho is an Othello (TM).
It was first written for a project for the CNAM of Versailles. 
*/

/* includes */

#include <stdio.h>
#include <string.h>
#include <dos.h>

#include "include\prototyp.h"
#include "include\svgacc.h"

#define extern
#include "include\global.h"
#undef extern


/*******************************************************************************
*
* main - main entry of Otho game
*
* This routine is the entry point of the game.
*
* RETURNS: N/A.
*
*/

void main
	(
	int argc,		/* number of arguments */
	char *argv[]	/* arguments */
	)
	{
	int i;


	/* test materiel */
	materiel();

	/* test allocation memoire */
	allocation_memoire();

	/* initialisation des variables globales */
	initialise_variables();

	/* test des arguments */
	if ( argc > 1 )
		{
		/* on cherche si protection ecriture active */
		for (i = 2; i <= argc; i++)
			{
			if (strcmp(argv[i-1], "-cd") == 0 || strcmp(argv[i-1], "-CD") == 0)
				G_protectionEcriture = TRUE;
			}

		}

	if (G_protectionEcriture  == TRUE )
		printf("[main] option CD activee.\n");
	else
		printf("[main] option CD desactivee.\n");


	/* message d'initialisation */
	printf("\nLancement de %s", G_version);

	/* affichage ecran introduction */
	ecran_presentation();


	/* appel du menu principal : on en sort uniquement a la fin du jeu */
	menu_principal();

	/* fin du programme de test : restauration du contexte graphique et liberation de la memoire */
	mouse_visible(FALSE); /* on masque la souris */

	mouseexit();

	depart_video();

	libere_memoire();

	printf("%s\thttp://www.chez.com/otho/\t(E-mail : otho@chez.com)\n\n", G_version);
	printf("+--------------------------------------------------+\n");
	printf("|               Realisation 1996-2001              |\n");
	printf("+---------------------------+----------------------+\n");
	printf("| Patrick DEIBER            | Bertrand BONNEMAINS  |\n");
	printf("| Patrick.Deiber@Wanadoo.fr | mad@club-internet.fr |\n");
	printf("+---------------------------+----------------------+\n");
	printf("\n");
	printf("\n");
	}