/*************************************************************************/
/* Nom : attente                                                         */
/*                                                                       */
/* Role : Fonction permettant d'attendre un certain temps ou une frappe  */
/*        au clavier                                                     */
/*                                                                       */
/* Entree : delai : delai d'attente en seconde                           */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 16/12/1996 | Creation du fichier.                               */
/*     |            |                                                    */
/*************************************************************************/

#include <time.h>
#include <alloc.h>
#include <stdio.h>
#include <conio.h>
#include <stdlib.h>

#include "include\global.h"
#include "include\prototyp.h"

void attente ( int delai )
{

	time_t starttime   ; /* Temps de depart */
	time_t couranttime ; /* Temps courant */


	/* Attente de delai secondes ou d'un appui clavier */


	while(kbhit()) getch();  /* on vide le buffer du clavier */

	starttime = time (NULL); /* on memorise le temps de depart */

	do
		couranttime = time (NULL);

	while ( (couranttime - starttime) < delai && !kbhit() );

}

/*************************************************************************/
/* Nom : erreur_application                                              */
/*                                                                       */
/* Role : Fonction permettant de quitter l'application suite a une       */
/*        erreur                                                         */
/*                                                                       */
/* Entree : nomFonction : nom de la fonction en erreur                   */
/*          numeroErreur : numero de l'erreur                            */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 13/01/1997 | Creation de la fonction.                           */
/*     |            |                                                    */
/*************************************************************************/

void erreur_application ( char *nomFonction, char *libelleErreur, int numeroErreur )
{
	/* suivant le numero d'erreur : si traitement specifique */

	switch (numeroErreur)
	{
		/* erreurs d'allocation de la memoire */

		case 1:
		case 2:
		case 3:
		case 4:
		case 5:
		case 6:
		case 7:
		case 8:
		case 9:
			break;

		/* erreur de materiel */

		case 100:
		case 101:
		case 102:
		case 103:
			break;

		/* erreur ecran presentation */

		case 200:
			break;

		/* erreur chargement image */

		case 300:
		case 301:
		case 302:
			break;

		/* erreur curseur souris */

		case 400:
			break;

		/* erreur chiffre graphique */

		case 500:
		case 501:
			break;


	}

	/* liberation eventuel de la memoire */
	/* et restauration du contexte graphique */

	if (numeroErreur >= 100)
	{
		libere_memoire();
		depart_video();
	}


	printf("\n[%s:%i] -> ERREUR : %s\n", nomFonction, numeroErreur, libelleErreur);

	exit(1); /* fin du programme avec un statut erreur */
}