/* variable.c - global variables initialization */

/* Copyright 1997-2001 Otho team. */

/*
modification history
--------------------
15a,21oct01,pdb  based on Otho version 1.4b.
*/

/*
DESCRIPTION
This module initializes all global variables of the game
Global variable coding convention is G_<name>
*/

/* includes */
   
#include <string.h>
#include "include\prototyp.h"
#include "include\global.h"

#include "include\variable.h"
#include "include\version.h"

/*******************************************************************************
*
* initialise_variables - initialize global variables
*
* This routine initializes global variables of the Otho game.
*
* RETURNS: N/A.
*
*/
	   
void initialise_variables ( void )
	{
	/* on initialise les differents curseur de la souris */
	G_curseurSouris[NOIR]       = curseurNoir;
	G_curseurSouris[BLANC]      = curseurBlanc;
	G_curseurSouris[ORDINATEUR] = curseurTemps;

	/* on indique que le curseur de la souris est masque */
	G_etatCurseur = FALSE;

	/* on doit initialiser les variables memorisant les objets graphiques */
	G_objetGraphique = FALSE;

	/* recopie de la version du logiciel*/
	strcpy(G_version, version);

	/* Pas de saisie en cours */
	G_saisieEnCours = FALSE;

	/* Chargement des high scores du jeu */
	charge_score();

	/* initialisation des variables temps */
	G_gestionTemps = FALSE;

	/* initialisation des noms memorises */
	memset(G_nomMemorise, 0, sizeof(G_nomMemorise));
	memset(G_memoriseNomPartie, 0, sizeof(G_memoriseNomPartie));

	/* Pas de protection en ecriture */
	G_protectionEcriture = FALSE;
	}