#include <stdio.h>
#include <string.h>

#include "include\svgacc.h"

#include "include\prototyp.h"
#include "include\global.h"
#include "include\couleur.h"

/*************************************************************************/
/* Nom : visualiser                                                      */
/*                                                                       */
/* Role : Fonction permettant de visualiser une partie sauvegardee       */
/*                                                                       */
/*                                                                       */
/* Entree : -                                                            */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 06/05/1997 | Creation de la fonction.                           */
/*     |            |                                                    */
/* PDB | 29/06/1997 | Modification de la gestion de saisie d'une partie  */
/*     |            |                                                    */
/*     |            |                                                    */
/*************************************************************************/


void visualiser ( void )
{
	char clicStop   = FALSE; /* clique sur le bouton STOP */
	char resultat   = FALSE;

	char buffer[MAX_BUFFER]; /* chaine tamporaire */
	char nomPartie[MAX_BUFFER]; /* nom de la partie a charger */

	char bouton;

	/* on initialise l'environnement de jeu */
	initialise_ecran_jeu();

	/* initialisation du jeu */
	G_joueurCourant = NOIR;
	G_ordinateur = VIDE;

	G_choixTypeJeu[0] = 0;
	G_choixTypeJeu[1] = 0;

	initialise_jeu();

	/* bouton conseil inactif */
	drwstring(1, TEXTE_INACTIF, FOND, "Conseil", 201, 22);

	do
	{
		/* saisie du nom de la partie a visualiser */
		dialogue_aide_en_ligne("");

		bouton = dialogue_saisie("Nom de la partie :", G_memoriseNomPartie, 8);

		if ( bouton == OK)
		{
			sprintf(nomPartie, "data\\%s.dat", G_saisie.chaine);
			sprintf(buffer, "Chargement de la partie %s", G_saisie.chaine);

			dialogue_aide_en_ligne(buffer);

			resultat = charge_partie ( nomPartie );
		}

	} while (!((bouton == OK && resultat == OK) || (bouton == ANNULER)));

	if (bouton == ANNULER) /* On annuler la visualisation */
	{
		return;
	}

	/* affichage des Noms des joueurs */
	drwstring(1, TEXTE_NOM, FOND, G_nom[NOIR],   20+(90-strlen(G_nom[NOIR])*8)/2, 75);
	drwstring(1, TEXTE_NOM, FOND, G_nom[BLANC], 530+(90-strlen(G_nom[BLANC])*8)/2, 75);


	/* debut du jeu */
	statistique(NOIR);

	/* Raz zone d'aide en ligne */
	dialogue_aide_en_ligne("Utiliser les boutons < et > pour visualiser");

	/* Tant que l'on ne quitte pas le jeu */
	do
	{
		/* tableau de commande a l'etat normal */
		initialise_tableau_commande();

		/* bouton conseil inactif */
		drwstring(1, TEXTE_INACTIF, FOND, "Conseil", 201, 22);


		/********************************/
		/* attente appuie bouton souris */
		/********************************/
		mouse_attente();

		/* Raz zone d'aide en ligne */
		dialogue_aide_en_ligne("");

		/* Gestion effet appuye    */

		/* bouton coup precedent */
		if (mouse_zone(162, 173, 18, 38))
		{
			dialogue_bouton_appuye(162, 18, 11, 20);
			drwstring(1, TEXTE, FOND, "<", 164, 22);
		}

		/* bouton coup suivant */
		if (mouse_zone(178, 189, 18, 38))
		{
			dialogue_bouton_appuye(178, 18, 11, 20);
			drwstring(1, TEXTE, FOND, ">", 180, 22);
		}

		/* bouton stop */
		if (mouse_zone(440, 476, 18, 38))
		{
			dialogue_bouton_appuye(440, 18, 36, 20);
			drwstring(1, TEXTE, FOND, "Stop", 443, 22);
		}

		/*********************************/
		/* attente relache bouton souris */
		/*********************************/
		mouse_attente_relache();

		/* bouton coup precedent */
		if (mouse_zone(162, 173, 18, 38))
			coup_precedent();

		/* bouton coup suivant */
		if (mouse_zone(178, 189, 18, 38))
		{
//			if (G_jeuIndiceCrt == G_jeuIndiceMax)
//				coupOrdinateur = TRUE;

			coup_suivant();
		}

		/* on desire arreter la partie */
		if (mouse_zone(440, 476, 18, 38))
			clicStop = TRUE;


	} while(!clicStop); /* Fin du jeu a deux */

}


